[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#695728: marked as done (RFS: mlterm/3.1.2-1.3 [RC] [NMU])



Your message dated Wed, 12 Dec 2012 12:32:39 +0000
with message-id <E1TilUN-0000U2-VJ@franck.debian.org>
and subject line Bug#695728: fixed in mlterm 3.1.2-1.3
has caused the Debian Bug report #695728,
regarding RFS: mlterm/3.1.2-1.3 [RC] [NMU]
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org
immediately.)


-- 
695728: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=695728
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: sponsorship-requests
Severity: important

Dear mentors,

I am looking for a sponsor for my RC bug fix of "mlterm". It fixes a piuparts
upgrade test failure (bugs #688603, #688604, #688605, #688606, #694153).

The previous fix (in -1.2) creates new problems (hence bug #694153). It seems
something (dpkg?) gets confused and follows the symlink when removing the
files from the old package on upgrade. This removes files from the -common
package (see the piuparts log attached to bug #694153).

My fix just copies the relevant part from the postinst of mlterm and
mlterm-tiny for the other packages. With this change (and a revert of the
changes in -1.2), the piuparts upgrade test works fine. Below is a debdiff
against version -1.1, which is currently in wheezy.


 * Package name    : mlterm
   Version         : 3.1.2-1.3
 * License         : BSD
   Section         : x11

  It builds those binary packages:

 mlterm     - MultiLingual TERMinal
 mlterm-common - MultiLingual TERMinal, common files
 mlterm-im-ibus - MultiLingual TERMinal, IBus input method plugin
 mlterm-im-m17nlib - MultiLingual TERMinal, m17nlib input method plugin
 mlterm-im-scim - MultiLingual TERMinal, scim input method plugin
 mlterm-im-uim - MultiLingual TERMinal, uim input method plugin
 mlterm-tiny - MultiLingual TERMinal, tiny version
 mlterm-tools - MultiLingual TERMinal, additional tools

  To access further information about this package, please visit the following URL:

  http://mentors.debian.net/package/mlterm


  Alternatively, one can download the package with dget using this command:

    dget -x http://mentors.debian.net/debian/pool/main/m/mlterm/mlterm_3.1.2-1.3.dsc

Changes since the last upload:


diff -Nru mlterm-3.1.2/debian/changelog mlterm-3.1.2/debian/changelog
--- mlterm-3.1.2/debian/changelog	2012-09-08 16:18:20.000000000 +0200
+++ mlterm-3.1.2/debian/changelog	2012-12-12 00:34:48.000000000 +0100
@@ -1,3 +1,19 @@
+mlterm (3.1.2-1.3) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Don't delete docs in preinst. Create correct symlinks in postinst.
+    (closes: #688603, #688604, #688605, #688606, 694153).
+
+ -- Ivo De Decker <ivo.dedecker@ugent.be>  Wed, 12 Dec 2012 00:34:33 +0100
+
+mlterm (3.1.2-1.2) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * Remove previous documentation directories prior to package installation
+    (closes: #688603, #688604, #688605, #688606).
+
+ -- Michael Gilbert <mgilbert@debian.org>  Sun, 18 Nov 2012 07:18:33 +0000
+
 mlterm (3.1.2-1.1) unstable; urgency=low
 
   * Non-maintainer upload.
diff -Nru mlterm-3.1.2/debian/mlterm-im-ibus.postinst mlterm-3.1.2/debian/mlterm-im-ibus.postinst
--- mlterm-3.1.2/debian/mlterm-im-ibus.postinst	1970-01-01 01:00:00.000000000 +0100
+++ mlterm-3.1.2/debian/mlterm-im-ibus.postinst	2012-12-12 00:12:38.000000000 +0100
@@ -0,0 +1,19 @@
+#! /bin/sh
+
+set -e
+
+if [ "$1" = "configure" ]; then
+    # Replace documentation directory with symlink
+    docdir="/usr/share/doc/mlterm-im-ibus"
+    if [ -d $docdir -a ! -L $docdir ]; then
+        if rmdir $docdir 2>/dev/null; then
+            ln -sf /usr/share/doc/mlterm-common $docdir
+        fi
+    fi
+fi
+
+#DEBHELPER#
+
+exit 0
+
+
diff -Nru mlterm-3.1.2/debian/mlterm-im-m17nlib.postinst mlterm-3.1.2/debian/mlterm-im-m17nlib.postinst
--- mlterm-3.1.2/debian/mlterm-im-m17nlib.postinst	1970-01-01 01:00:00.000000000 +0100
+++ mlterm-3.1.2/debian/mlterm-im-m17nlib.postinst	2012-12-12 00:12:38.000000000 +0100
@@ -0,0 +1,19 @@
+#! /bin/sh
+
+set -e
+
+if [ "$1" = "configure" ]; then
+    # Replace documentation directory with symlink
+    docdir="/usr/share/doc/mlterm-im-m17nlib"
+    if [ -d $docdir -a ! -L $docdir ]; then
+        if rmdir $docdir 2>/dev/null; then
+            ln -sf /usr/share/doc/mlterm-common $docdir
+        fi
+    fi
+fi
+
+#DEBHELPER#
+
+exit 0
+
+
diff -Nru mlterm-3.1.2/debian/mlterm-im-scim.postinst mlterm-3.1.2/debian/mlterm-im-scim.postinst
--- mlterm-3.1.2/debian/mlterm-im-scim.postinst	1970-01-01 01:00:00.000000000 +0100
+++ mlterm-3.1.2/debian/mlterm-im-scim.postinst	2012-12-12 00:12:38.000000000 +0100
@@ -0,0 +1,19 @@
+#! /bin/sh
+
+set -e
+
+if [ "$1" = "configure" ]; then
+    # Replace documentation directory with symlink
+    docdir="/usr/share/doc/mlterm-im-scim"
+    if [ -d $docdir -a ! -L $docdir ]; then
+        if rmdir $docdir 2>/dev/null; then
+            ln -sf /usr/share/doc/mlterm-common $docdir
+        fi
+    fi
+fi
+
+#DEBHELPER#
+
+exit 0
+
+
diff -Nru mlterm-3.1.2/debian/mlterm-im-uim.postinst mlterm-3.1.2/debian/mlterm-im-uim.postinst
--- mlterm-3.1.2/debian/mlterm-im-uim.postinst	1970-01-01 01:00:00.000000000 +0100
+++ mlterm-3.1.2/debian/mlterm-im-uim.postinst	2012-12-12 00:12:38.000000000 +0100
@@ -0,0 +1,19 @@
+#! /bin/sh
+
+set -e
+
+if [ "$1" = "configure" ]; then
+    # Replace documentation directory with symlink
+    docdir="/usr/share/doc/mlterm-im-uim"
+    if [ -d $docdir -a ! -L $docdir ]; then
+        if rmdir $docdir 2>/dev/null; then
+            ln -sf /usr/share/doc/mlterm-common $docdir
+        fi
+    fi
+fi
+
+#DEBHELPER#
+
+exit 0
+
+
diff -Nru mlterm-3.1.2/debian/mlterm-tools.postinst mlterm-3.1.2/debian/mlterm-tools.postinst
--- mlterm-3.1.2/debian/mlterm-tools.postinst	1970-01-01 01:00:00.000000000 +0100
+++ mlterm-3.1.2/debian/mlterm-tools.postinst	2012-12-12 00:12:38.000000000 +0100
@@ -0,0 +1,19 @@
+#! /bin/sh
+
+set -e
+
+if [ "$1" = "configure" ]; then
+    # Replace documentation directory with symlink
+    docdir="/usr/share/doc/mlterm-tools"
+    if [ -d $docdir -a ! -L $docdir ]; then
+        if rmdir $docdir 2>/dev/null; then
+            ln -sf /usr/share/doc/mlterm-common $docdir
+        fi
+    fi
+fi
+
+#DEBHELPER#
+
+exit 0
+
+

Regards,
   Ivo De Decker

--- End Message ---
--- Begin Message ---
Source: mlterm
Source-Version: 3.1.2-1.3

We believe that the bug you reported is fixed in the latest version of
mlterm, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 695728@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ivo De Decker <ivo.dedecker@ugent.be> (supplier of updated mlterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 12 Dec 2012 00:34:33 +0100
Source: mlterm
Binary: mlterm mlterm-tiny mlterm-common mlterm-tools mlterm-im-uim mlterm-im-scim mlterm-im-m17nlib mlterm-im-ibus
Architecture: source amd64
Version: 3.1.2-1.3
Distribution: unstable
Urgency: low
Maintainer: Kenshi Muto <kmuto@debian.org>
Changed-By: Ivo De Decker <ivo.dedecker@ugent.be>
Description: 
 mlterm     - MultiLingual TERMinal
 mlterm-common - MultiLingual TERMinal, common files
 mlterm-im-ibus - MultiLingual TERMinal, IBus input method plugin
 mlterm-im-m17nlib - MultiLingual TERMinal, m17nlib input method plugin
 mlterm-im-scim - MultiLingual TERMinal, scim input method plugin
 mlterm-im-uim - MultiLingual TERMinal, uim input method plugin
 mlterm-tiny - MultiLingual TERMinal, tiny version
 mlterm-tools - MultiLingual TERMinal, additional tools
Closes: 688603 688604 688605 688606 694153 695728
Changes: 
 mlterm (3.1.2-1.3) unstable; urgency=low
 .
   [Ivo De Decker]
   * Non-maintainer upload.
   * Don't delete docs in preinst. Create correct symlinks in postinst.
     (closes: #688603, #688604, #688605, #688606, #694153).
 .
   [Andreas Tille]
   * Sponsored upload (closes: #695728)
Checksums-Sha1: 
 64c08876c70f87d25a4d1ffe353a11e805372380 1838 mlterm_3.1.2-1.3.dsc
 3e88dcab477212019fd3dfee1244629357619bb5 26721 mlterm_3.1.2-1.3.debian.tar.gz
 7dd5ccddcb936f38f80c00af6e95a523968ce463 184940 mlterm_3.1.2-1.3_amd64.deb
 44dc09c4454c676a4920ca64f12da7d4d722f585 180850 mlterm-tiny_3.1.2-1.3_amd64.deb
 4413ce0e1539209fcdae38e17af9523315aa4c42 2473558 mlterm-common_3.1.2-1.3_amd64.deb
 24728b7312e1312629cf4d040978b644cb02fc08 73320 mlterm-tools_3.1.2-1.3_amd64.deb
 19df085a0cc754ff7ba27561d9b9873ee89e0954 10290 mlterm-im-uim_3.1.2-1.3_amd64.deb
 40ed0a4dd9302959ab17db93c30a4a8fcff77052 30896 mlterm-im-scim_3.1.2-1.3_amd64.deb
 fe6d72003bc71ee74ca5483f02dafa9d52e48056 8776 mlterm-im-m17nlib_3.1.2-1.3_amd64.deb
 67aec899e5b377300644608edb02de1fc7a43c99 6444 mlterm-im-ibus_3.1.2-1.3_amd64.deb
Checksums-Sha256: 
 e2a1475c4c179a12f535f6dcdc0280c6dc8dfc8d9fc4d8a27258725836a08611 1838 mlterm_3.1.2-1.3.dsc
 a0b57ac8974c526458401edf9f08111372c062c06c3ee0c67265d7ea4c2b0ef2 26721 mlterm_3.1.2-1.3.debian.tar.gz
 dae311ba3c0d4b3d53e4ed6b8871c9ede8b09cb31d012936e886d0b411ab49ba 184940 mlterm_3.1.2-1.3_amd64.deb
 d50c2a3dc2b11409a15a1f83bbe4216c8673640a14789631cc7ad347ec993e3a 180850 mlterm-tiny_3.1.2-1.3_amd64.deb
 2e7949cd03e18d15439b09243b1135c58a964924c0fa906833848042d4970f5f 2473558 mlterm-common_3.1.2-1.3_amd64.deb
 b2aee11497bf1d0f1a690e322ac2dfe3be9112f6ec87a56d8b81829f3461c743 73320 mlterm-tools_3.1.2-1.3_amd64.deb
 ff315661e1cc4020f9cf48d76b49da771c7f87091d538fbe30626e349901b7d2 10290 mlterm-im-uim_3.1.2-1.3_amd64.deb
 c00200399013af51ccc5f6c33161ab0dbfb1f4109ccf0757ee9188e1a94d365b 30896 mlterm-im-scim_3.1.2-1.3_amd64.deb
 8346fb3187322445740c14f049d8b091878b0a6a22609f23752fd58dd248b3c3 8776 mlterm-im-m17nlib_3.1.2-1.3_amd64.deb
 30cb0b9b09ec58bd03925eb8e821ac4c071ed724f0ff91b8f4d03a633816c721 6444 mlterm-im-ibus_3.1.2-1.3_amd64.deb
Files: 
 4c0339c405ffcb14628850ecd8fe2958 1838 x11 optional mlterm_3.1.2-1.3.dsc
 53526271ceaf601a362c4707d35b08f3 26721 x11 optional mlterm_3.1.2-1.3.debian.tar.gz
 5a436e846b644da378aacfd68c6a969d 184940 x11 optional mlterm_3.1.2-1.3_amd64.deb
 0c6c210c6445eb71a4cfea3e13b9e34b 180850 x11 optional mlterm-tiny_3.1.2-1.3_amd64.deb
 ffd6c1673aaf8238d83af5395fd7aa7a 2473558 x11 optional mlterm-common_3.1.2-1.3_amd64.deb
 08e8491b28eae0c02c10df42be650f6c 73320 x11 optional mlterm-tools_3.1.2-1.3_amd64.deb
 333ed4e737ac6c867198aad53aac8e34 10290 x11 optional mlterm-im-uim_3.1.2-1.3_amd64.deb
 fc1ff4f8917abc4443ae433b94299ff1 30896 x11 optional mlterm-im-scim_3.1.2-1.3_amd64.deb
 02d5aebe4dd801f81de93c881fc844fe 8776 x11 optional mlterm-im-m17nlib_3.1.2-1.3_amd64.deb
 690c59f743633fb1ec2f1075c11bad0a 6444 x11 optional mlterm-im-ibus_3.1.2-1.3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlDIdyQACgkQYDBbMcCf01puxwCeLY9WC1F5TPFSnRvxGENG4k/C
RZMAn2r92YyBVyXeGaYxebsrQOrZVhAY
=hCQ4
-----END PGP SIGNATURE-----

--- End Message ---

Reply to: